
Include CSS in HTML
- Inline Styling
- Internal Styling
- External CSS (most recommended when styling HTML)
*/

/*CSS Selectors*/
/*Universal Selector(*) - targets all elements.*/
* {
	font-family: "Courier New", monospace;
	font-size: 20px;
}

/*Type Selector(<tag name>) - targets elements with the specified type/tag name */
h1{
	color: yellow !important;
	/*!important property override CSS styling*/
		}

/*ID Selector (#id-name) - targets elements according to its id attribute; ideally used for targetting a unique element*/
#zuitt-motto {
	letter-spacing: 5px;
}

/*Class Selector (.class-name) - targets elements according to its class attribute; ideally used for multiple elements at once.*/

.offering-item {
	text-transform: uppercase;
}

/*Attribute Selector (tagname[attribute]) - target elements with a specified element attribute; 
used to target elements with a certain attribute*/
input[required] {
	border-width: 2px;
	border-style: solid;
	border-color: blue;
}

/*Adjacent Sibling Selector*/
h3 + img{
	height: 300px;
	width: 300px;
	border-radius: 150px;
}  

/*Descendant Selector*/
#bootcamp-learning-list li{
	color: #075966;
}

/*General Sibling Selector*/
h2 ~ a{
	text-decoration: none;
}


/*CSS Selector Combinators*/
/*1. Descendant Selector (white space) - matches all elements that are descendants of a specified elements.*/
/*div p{
	background-color: red;
}*/

/*#parent p{
	background-color: red;
}*/

/*2. Child Selector (>)*/
/*select all elements that are direct children of a specified element*/
/*div > p{
	background-color: red;
}*/

/*#parent > p{
	background-color: red;
}*/

/*3. General Sibling Selector (~)*/
/*select all elements that are next siblings of a specified element*/
/*p ~ p {
	background-color: red;
}*/

/*p ~ section {
	background-color: red;
}*/

/*4. Adjacent Sibling Selector (+) - select an element that is directly after another specific element*/
/**/
/*p + p{
	background-color: red;
}*/

/*div + p{
	background-color: red;
}